### A free/open-source library for quantitative finance

Public Types | Public Member Functions
India Class Reference
Calendars

Indian calendars. More...

`#include <ql/time/calendars/india.hpp>`

Inheritance diagram for India:
[legend]

List of all members.

## Public Types

enum | Market { NSE }

## Public Member Functions

| India (Market m=NSE)

## Detailed Description

Indian calendars.

Holidays for the National Stock Exchange (data from <http://www.nse-india.com/>):

- Saturdays
- Sundays
- Republic Day, January 26th
- Good Friday
- Ambedkar Jayanti, April 14th
- Independence Day, August 15th
- Gandhi Jayanti, October 2nd
- Christmas, December 25th

Other holidays for which no rule is given (data available for 2005-2011 only:)

- Bakri Id
- Moharram
- Mahashivratri
- Holi
- Ram Navami
- Mahavir Jayanti
- Id-E-Milad
- Maharashtra Day
- Buddha Pournima
- Ganesh Chaturthi
- Dasara
- Laxmi Puja
- Bhaubeej
- Ramzan Id
- Guru Nanak Jayanti

## Member Enumeration Documentation

enum Market

Enumerator:

  NSE | National Stock Exchange.